.outside-all-content_container {
  display: flex;
  align-items: center;
  justify-content: center;
}

/* These styles are only matching the offer texts inside the offer cards. */
.offer-content_container .offer-text {
  flex-grow: 1;
  margin: 0;
}
.offer-content_container {
  max-width: 100%;
  display: flex;
  justify-content: space-evenly;
  gap: var(--spacing-medium);
  padding: var(--spacing-large);
  flex-wrap: wrap;
}
@media (max-width: 768px) {
  .offer-content_container {
    margin: 0;
  }
}

.offer_container {
  max-width: 26em;
  display: flex;
  flex: 1;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  gap: 1em;
  padding: var(--spacing-medium);
  border: 3px solid rgb(78, 55, 55, 0.3);
  border-radius: 10px;
}

/* This is just a list for SEO reasons. Not for styling. So we remove all list styles here. */
.offer_container ul.offer-text,
.offer_container ul.offer-text li {
  margin: var(--spacing-small) 0;
  padding: 0;
  list-style: none;
}
.offer_container ul.offer-text p {
  margin: 0;
}
.offer_container .offer-text h4 {
  margin: 0;
  margin-bottom: var(--spacing-small);
  font-family: var(--body-font-family);
  font-size: 1em;
  font-weight: bold;
}

.offer_headline {
  font-weight: bold;
  text-align: center;
}

.header_img img {
  width: 100%;
}

.card {
  --card-size: 190px; /* Breite und höhe der Karte anpassen */
  position: relative;
  width: 100%;
  max-width: var(--card-size);
  perspective: 1000px; /* Perspective-Effekt für 3D-Darstellung */
  aspect-ratio: 1 / 1;
  cursor: pointer; /* Zeiger ändern bei Hover */
}

.card-inner {
  position: absolute;
  width: 100%;
  height: 100%;
  transition: transform 0.6s;
  transform-style: preserve-3d;
}

.card:hover .card-inner {
  transform: rotateY(180deg); /* Drehung der Karte bei Hover */
}

.card-front,
.card-back {
  position: absolute;
  width: 100%;
  height: 100%;
  backface-visibility: hidden; /* Rückseite unsichtbar machen */
}

.card-back {
  transform: rotateY(180deg); /* Anfangszustand der Rückseite */
}

.card img {
  width: 100%;
  max-width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 10px; /* Optional: Runde Ecken */
}
